#include <windows.h>
#include <stdio.h>
#include <v_lib.h>

void test(wmf_t *mf)
{
	wmfChangeFont(mf,100,0,0,0,"Times New Roman Cyr");
	SelectObject(mf->dc,GetStockObject(GRAY_BRUSH));
	Rectangle(mf->dc,1,1,999,999);
	SelectObject(mf->dc,GetStockObject(LTGRAY_BRUSH));
	Rectangle(mf->dc,100,100,900,900);
	SetBkMode(mf->dc,TRANSPARENT);
	SetTextColor(mf->dc,RGB(255,255,0));
	TextOut(mf->dc,0,0,"[_Привет_]",10);
	wmfChangeFont(mf,100,90,0,0,"Times New Roman Cyr");
	TextOut(mf->dc,0,1000,"[_Привет_]",10);
	wmfChangeFont(mf,100,180,0,0,"Times New Roman Cyr");
	TextOut(mf->dc,1000,1000,"[_Привет_]",10);
	wmfChangeFont(mf,100,270,0,0,"Times New Roman Cyr");
	TextOut(mf->dc,1000,0,"[_Привет_]",10);
}

int main()
{
	wmf_t *mf;
	mf=wmfCreate("reference.wmf",150,150);
	test(mf);
	wmfClose(mf);
	return 0;
}
